List templates

GET
https://reloop.sh/api/template/v1/list

Query Parameters

pagestring
limitstring
import Reloop from 'reloop-email';

const reloop = new Reloop("rl_123456789");

const templates = await reloop.template.list({ page: 1, limit: 10 });
{
  "templates": [
    {
      "id": "con_123456789",
      "name": "Newsletter",
      "description": "example_description",
      "subject": "Welcome to Reloop",
      "fromEmail": "example_fromEmail",
      "replyTo": "example_replyTo",
      "previewText": "example_previewText",
      "organizationId": "example_organizationId",
      "createdByUserId": "example_createdByUserId",
      "status": "draft",
      "content": [],
      "variables": [
        {
          "name": "Newsletter",
          "type": "string",
          "defaultValue": null
        }
      ],
      "currentVersion": 0,
      "thumbnailUrl": "example_thumbnailUrl",
      "isDefault": true,
      "deletedAt": null,
      "createdAt": "2026-03-23T10:00:00.000Z",
      "updatedAt": "2026-03-23T10:00:00.000Z"
    }
  ],
  "total": 1,
  "page": 0,
  "limit": 0
}

Was this page helpful?

Edit this page